.p-youtube {
  padding-bottom: 7rem;
  position: relative;
  z-index: 0;
}
.p-youtube--bottom {
  margin-top: 7rem;
}
.p-youtube--bottom::after {
  content: "";
  display: block;
  background: url("../../img/bottom-bg_sp.jpg") no-repeat center bottom/100% auto;
  width: 100%;
  aspect-ratio: 750/534;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: -1;
}

.p-youtube__video {
  aspect-ratio: 16/9;
  position: relative;
  margin-top: 2.4rem;
}
.p-youtube__video:has(iframe) {
  box-shadow: var(--shadow1);
}
.p-youtube__video iframe {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.p-youtube__video__comingsoon {
  width: 100%;
  height: 100%;
  display: block;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(255, 255, 255, 0.8);
}

.p-youtube__video:has(iframe) .p-youtube__video__comingsoon {
  display: none;
}

@media (min-width: 769px) {
  .p-youtube {
    padding-bottom: 10rem;
  }
  .p-youtube--bottom {
    margin-top: 10rem;
  }
  .p-youtube--bottom::after {
    background: url("../../img/bottom-bg.jpg") no-repeat center bottom/100% auto;
    aspect-ratio: 3200/1264;
  }
  .p-youtube__video {
    max-width: 63.8rem;
    margin-inline: auto;
  }
}

@media (max-width: 768px) {
  .p-youtube__video__comingsoon__text {
    font-size: 3.6rem;
  }
}